#pragma once
#include "Weapons.h"
#include "Player.h"
class Inventory
{
public:
	Inventory();
	~Inventory();
	void addWeapon(const Weapons& weapon);
	inline void debugPrint() const
	{
		for (size_t i = 0; i < Nofweapons; i++)
		{
			std::cout << this->weaponArray[i]->debugPrint() << std::endl;
		}
	}
private:
	int max;
	int Nofweapons;
	void expand();
	void Initialize(const int from);
	Weapons**weaponArray;
};

