#pragma once
#include <iostream>
#include<iomanip>
#include <string>
#include "Inventory.h"
class PlayerEvolution
{
public:
	PlayerEvolution();
	virtual ~PlayerEvolution();
	std::string getAsString()const;


	inline const std::string getName() const { return this -> Name;}
	inline const int getPower() const { return this -> Power;}
	inline const int& getRange() const { return this -> Range;}
	inline const int getAmmo() const { return this -> Ammo;}
	
	void initialize(const std::string Name);
	void PrintToScreen() const;
	void WriteToFile() const;
private:
	//Variables
	int Power;
	int Range;
	int Ammo;
	int extra;
	std::string Name;
};

