#include "Inventory.h"

Inventory::Inventory()
{	//Defines starting attributes of the inventory which are the empty array, the size and the amount of weaopons saved.
	this->max = 5;
	this->Nofweapons = 0;
	this->weaponArray = new Weapons * [max];
}
Inventory::~Inventory()
{
	for (size_t i = 0; i < this->Nofweapons; i++)
	{
		delete this->weaponArray[i];
	}
	delete[] weaponArray;	
}
void Inventory::expand()
{	//If the inventory is full then it will expand the size of the inventory, doubling the previous space.
	this->max *= 2;
	Weapons** tempArray = new Weapons * [this->max];
	for (size_t i = 0; i < this->Nofweapons; i++)
	{
		tempArray[i] = new Weapons(*this->weaponArray[i]);
	}
	for (size_t i = 0; i < Nofweapons; i++)
	{ //USed to delete the previous array so no abundance of memory #used without reason.
		delete this->weaponArray[i];
	}
	delete[] this->weaponArray;

	this->weaponArray = tempArray;
	this->Initialize(this->Nofweapons);
}


void Inventory::Initialize(const int from)
{
	for (size_t i = from; i < this->max; i++)
	{
		this->weaponArray[i] = nullptr;
	}
}

void Inventory::addWeapon(const Weapons& weapon)
{
	if (this->Nofweapons >= this->max) //If statement used in order to check if the inventory is full. If so then trigger expand function.
	{
		expand();
	}
	this->weaponArray[this->Nofweapons++] = new Weapons(weapon);
}


