#include "Player.h"
#include <fstream>

using namespace std;
PlayerEvolution::PlayerEvolution()
{	//Setting the base vslues for the user attributes.
	this->Name = "NONE";
	this->Power = 5;
	this->Range = 3;
	this->Ammo = 12;
}
PlayerEvolution::~PlayerEvolution()
{	

}

void PlayerEvolution::initialize(string Name)
{
	this ->Name = Name;
	this->Power = 5;
	this->Range = 3;
	this->Ammo = 12;
}
void PlayerEvolution::PrintToScreen() const
{	//Used to print out the different statistics of the user.
	std::cout << "Player Information" << std::	endl;
	std::cout << "Name: " << this -> Name << std::endl;
	std::cout << "Power: " << this->Power << std::endl;
	std::cout << "Range: " << this-> Range << std::endl;
	std::cout << "Ammo: " << this-> Ammo << std::endl;
}

std::string PlayerEvolution::getAsString() const
{
	//Helped to set the structure for when saving the User's stats to a file incase of reloading characters
	return (Name)+" "
		+ std::to_string(Power) + " "
		+ std::to_string(Range) + " "
		+ std::to_string(Ammo);


}


void PlayerEvolution::WriteToFile() const
{
	ofstream file_;
	file_.open("Character.txt");
	file_ <<"Name: "<<Name<<std::endl;
	file_ <<"Ammo: "<< Ammo << std::endl;
	file_ <<"Range: "<< Range << std::endl;
	file_ <<"Power: "<< Power << std::endl;
	file_.close();
}